Package com.pixelmed.network

# Class CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

java.lang.Object
com.pixelmed.network.CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

All Implemented Interfaces:
  `AbstractSyntaxSelectionPolicy`

public class CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy extends Object implements AbstractSyntaxSelectionPolicy

Accept only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes.

## Constructor Summary

Constructors
Constructor
Description
`CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy()`

## Method Summary

Modifier and Type
Method
Description
`LinkedList`
`applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)`
Accept or reject Abstract Syntaxes (SOP Classes).
`LinkedList`
`applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)`
Accept or reject Abstract Syntaxes (SOP Classes).

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy

public CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy()

## Method Details

### applyAbstractSyntaxSelectionPolicy

public LinkedList applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber, int debugLevel)
Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes are accepted. Should be called before Transfer Syntax selection is performed.

Specified by:
  `applyAbstractSyntaxSelectionPolicy` in interface `AbstractSyntaxSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
  `associationNumber` - used for debugging messages
  `debugLevel` - ignored
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"

### applyAbstractSyntaxSelectionPolicy

public LinkedList applyAbstractSyntaxSelectionPolicy(LinkedList presentationContexts, int associationNumber)
Accept or reject Abstract Syntaxes (SOP Classes). Only SOP Classes for storage, query or retrieval of composite instances and verification SOP Classes are accepted. Should be called before Transfer Syntax selection is performed.

Specified by:
  `applyAbstractSyntaxSelectionPolicy` in interface `AbstractSyntaxSelectionPolicy`
Parameters:
  `presentationContexts` - a java.util.LinkedList of `PresentationContext` objects, each of which contains an Abstract Syntax (SOP Class UID)
  `associationNumber` - used for debugging messages
Returns:
  the java.util.LinkedList of `PresentationContext` objects, as supplied but with the result/reason field set to either "acceptance" or "abstract syntax not supported (provider rejection)"